Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ItemMultiTextureTile

    java.lang.Object
      net.minecraft.src.Item
          net.minecraft.src.ItemBlock
              net.minecraft.src.ItemMultiTextureTile

Direct Known Subclasses:
  ItemAnvilBlock

    public class ItemMultiTextureTile

extends ItemBlock

Field Summary

Fields inherited from class net.minecraft.src.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_82791_bT, field_82792_bS, field_82793_bR, field_82794_bL, field_82795_bM, field_82796_bJ, field_82797_bK, field_82798_bP, field_82799_bQ, field_82800_bN, field_82801_bO, field_82802_bI, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, ghastTear, glassBottle, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, porkCooked, porkRaw, potion, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Constructor Summary
`ItemMultiTextureTile(int par1, Block par2Block, String[] par3ArrayOfStr)`

Method Summary
`int` | `getIconFromDamage(int par1)`
`String` | `getItemNameIS(ItemStack par1ItemStack)`
`int` | `getMetadata(int par1)` Returns the metadata of the block which this Item (ItemBlock) can place

Methods inherited from class net.minecraft.src.ItemBlock
`canPlaceItemBlockOnSide, getBlockID, getCreativeTab, getItemName, getSubItems, onItemUse, placeBlockAt`

Methods inherited from class net.minecraft.src.Item
`addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, func_82789_a, func_82790_a, getContainerItem, getContainerItemStack, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getItemDisplayName, getItemEnchantability, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getPotionEffect, getRarity, getRenderPasses, getShareTag, getStatName, getStrVsBlock, getStrVsBlock, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUseFirst, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemMultiTextureTile

    public ItemMultiTextureTile(int par1,
                                Block par2Block,
                                String[] par3ArrayOfStr)

Method Detail

### getIconFromDamage

    public int getIconFromDamage(int par1)

  Overrides:
    `getIconFromDamage` in class `Item`

### getMetadata

    public int getMetadata(int par1)

  Returns the metadata of the block which this Item (ItemBlock) can place

  Overrides:
    `getMetadata` in class `Item`

### getItemNameIS

    public String getItemNameIS(ItemStack par1ItemStack)

  Overrides:
    `getItemNameIS` in class `ItemBlock`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD